## skf 1.99.1

=== debian/changelog ===
skf (1.99.1) experimental; urgency=low

  * fix wrong initialization for BIG5-UAO table
  * 

 -- Seiji Kaneko <efialtes@hsourceforge.jp>  Tue, 15 Jan 2013 08:28:35 +0900

skf (1.99.0) experimental; urgency=low

  * Unicode 6.1 support
  * Mime related issue fixed.
  * further fix for nkf compatibility.
  * added support for ruby 1.9.x

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Thu, 01 Mar 2012 19:40:38 +0900

skf (1.97.2) experimental; urgency=low

  * fix crashes when LANG parameter output and B-right case
  * kick out jef/transparent output (does not work anyway)
  *

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 07 Aug 2010 01:09:45 +0900

skf (1.97.1) experimental; urgency=low

  * enable -i and -o in nkf compatible mode.
  * restore old umask after overwrite.
  * add flush on unic*de and b-right.
  * disable adding lineend on encode-tail when in LWL extension.
  * 

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Wed, 31 Mar 2010 21:59:16 +0900

skf (1.97.0) experimental; urgency=low

  * Re-enabled MIME encoding
  * nkf compatibility mode further fix and support added.
  * various bug fix from 1.96 series.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 06 Feb 2010 23:24:54 +0900

skf (1.96.4) experimental; urgency=low

  * fix html escape does not handle ampersand
  * fix UTF-7 hangul support.
  * nkf compatibility mode further fix

 -- Seiji Kaneko <efialtes@sourceforge.net>  Sat, 31 Oct 2009 00:36:14 +0900

skf (1.96.3) experimental; urgency=low

  * fix embug for nkf-compatibility releted stuff (1.96.2)

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 27 Sep 2009 20:58:18 +0900

skf (1.96.2) experimental; urgency=low

  * fix inquiry does not work.
  * make UTF-16 as big-endian
  * further nkf compatibility fix.
  * unbuffered mode redundant code change fix.
  * fix 1.96.1 enbug (surplus err on ozone)

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 12 Sep 2009 20:37:07 +0900

skf (1.96.1) experimental; urgency=low

  * NKD table corruption fixed.
  * 2 TeX converter bugs fixed.
  * delete UB mode related stuffs.
  * fix man typo: ibm931 -> ibm933

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 29 Aug 2009 00:30:58 +0900

skf (1.96.0) experimental; urgency=low

  * 1.96 release version

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Wed, 08 Apr 2009 00:00:11 +0900

skf (1.96b1c) experimental; urgency=low

  * 1.96 Beta 1c release. further fixes.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Mon, 09 Mar 2009 23:35:04 +0900

skf (1.96b1) experimental; urgency=low

  * 1.96 Beta 1 release. rpm generation, --hard-inquiry and various
    fixes.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 15 Feb 2009 17:39:11 +0900

skf (1.96b0) experimental; urgency=low

  * 1.96 Beta 0 release. Unicode normalize decomposition support.
  *

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 21 Dec 2008 23:08:27 +0900

skf (1.96a0k-1) experimental; urgency=low

  * New upstreams

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Fri, 25 Jan 2008 23:31:04 +0900

skf (1.96a0g-0) experimental; urgency=low

  * New upstreams

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Wed, 21 Nov 2007 22:29:45 +0900

skf (1.95.2) experimental; urgency=low

  * fix compile failure when disable_fold
  * fix crash when Shift_jis_x0213 & g3 is swaped by escapes.
  * fix Softbank to SoftBank

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Fri, 10 Aug 2007 23:02:38 +0900

skf (1.95.1) experimental; urgency=low

  * fix bug which may cause skf to crash on cp5022x/51932 mode.
  * fix man format/command bug.
  * fix debian packaging bug

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 28 Jul 2007 00:15:47 +0900

skf (1.95.0) experimental; urgency=low

  * Release Version of skf 1.95

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 31 Mar 2007 23:09:03 +0900

skf (1.95b1) experimental; urgency=low

  * working beta 1 for 1.95

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 22 Feb 2007 23:09:03 +0900

skf (1.95b0) experimental; urgency=low

  * working beta for 1.95

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Thu,  8 Feb 2007 23:37:31 +0900

skf (1.94.0) experimental; urgency=low

  * Release version of skf 1.94

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat,  9 Sep 2006 22:11:07 +0900

skf (1.94b2a) experimental; urgency=low

  * 2nd beta release version for skf 1.94

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat,  9 Sep 2006 22:11:07 +0900

skf (1.94b1a) experimental; urgency=low

  * 2nd beta release version for skf 1.94

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 30 Jul 2006 19:19:37 +0900

skf (1.94b0c) experimental; urgency=low

  * Beta release version for skf 1.94

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 9 Jul 2006 00:14:00 +0900

skf (1.94a1a) experimental; urgency=low

  * Alpha release version for skf 1.94

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 27 Nov 2005 00:14:00 +0900

skf (1.93) experimental; urgency=low

  * Release version for skf 1.93

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Tue, 10 May 2005 22:39:04 +0900

skf (1.93b2i) experimental; urgency=low

  * further language trim. Code cleanup. Folding fix.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 24 Apr 2005 22:02:23 +0900

skf (1.93b2a) experimental; urgency=low

  * 2nd-Beta release

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Tue, 22 Feb 2005 17:07:59 +0900

skf (1.93b1f) experimental; urgency=low

  * post-Beta release

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 16 Jan 2005 00:18:51 +0900

skf (1.92) experimental; urgency=low

  * release version.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 27 Jun 2004 19:37:19 +0900

skf (1.92b1) experimental; urgency=low

  * beta release (b1) -b1g
  * See Changes_ja.txt

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 13 Jun 2004 20:07:25 +0900

skf (1.91) experimental; urgency=low

  * See Changes_ja.txt

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sat, 26 Oct 2002 09:36:09 +0900

skf (1.91b4) experimental; urgency=low

  * See Changes_ja.txt


