=== debian/control ===
Source: skf
Section: text
Priority: extra
Maintainer: Seiji Kaneko <efialtes@sourceforge.jp>
Standards-Version: 3.9.1
Build-Depends: gettext, debhelper(>=5.0), bison, perl

Package: skf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
Replaces:
Provides:
Description: Simple Kanji Filter - i18n kanji converter
 skf is an i18n-capable kanji filter. It works like i18n enhanced
 nkf-1.6. More specifically, skf is intended to read documents in 
 various languages and codes using kanji or unicode capable
 display devices. skf provides basic kanji code conversion features,
 include to/from JIS, EUC, Shift-JIS, Unicode and Vendor specific
 codes. skf also includes decoder for various code appears in the Net.
 Unlike nkf, it does not provide broken jis recovery nor escaping, 
 but it has support for ISO-8859's, European domestic set,
 JIS X-0212/X-0213 code, has IBM/MS vendor specific code support and
 can add other code support easily.
