=== debian/rules ===
#!/usr/bin/make -f
# Extensively hacked for skf, by S.Kaneko,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# $Id: $

package=skf

build:
	./configure --prefix=/usr --mandir=/usr/share/man --disable-strip
	$(MAKE) DESTDIR=/usr
	touch build

clean:
	dh_testdir
	dh_clean
	-rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/$(package) debian/files* core debian/substvars
	-rm -rf debian/*.log

binary-indep: checkroot build

binary-arch: checkroot build
	dh_clean
	dh_installdirs
	$(MAKE) skf.mo
	$(MAKE) install DESTDIR=`pwd`/debian/$(package) INSTALL_PROGRAM='install -c -s' 
	$(MAKE) locale_install DESTDIR=`pwd`/debian/$(package) INSTALL_PROGRAM='install -c -s' 
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -a
	dh_installchangelogs -a 
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dpkg-gencontrol -isp
#	chown -R root.root debian/$(package)
#	chmod -R go=rX debian/$(package)
#	dpkg --build debian/$(package) ..
	dh_md5sums -a
	dh_builddeb -a

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
