## skf 1.99.4

=== debian/changelog ===
skf (1.99.4) experimental; urgency=low

  * fix in-place suffix stores uninitialized heap area.
  * fix 1.93.3 remaining debug routine
  * fix katakana-zen-han conversion bug
  * utf-16be doesn't properly set default endian.

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 21 Apr 2013 20:24:34 +0900

skf (1.99.3) experimental; urgency=low

  * fix skfoFILE definition
  * fix ruby 2.0.0 header file inclusion
  * fix unexpected non-registered codeset name use

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Thu, 11 Apr 2013 20:14:07 +0900

skf (1.99.2) experimental; urgency=low

  * fix ruby header search fails on cygwin
  * fix tcl header not properly searched
  * fix MinGW compilation
  * ruby 2.0 support
  * fix type conflict on output side

 -- Seiji Kaneko <efialtes@sourceforge.jp>  Sun, 07 Apr 2013 12:24:18 +0900
