## skf 1.99.8

=== debian/changelog ===
skf (1.99.8) experimental; urgency=low

  * fix ruby 2.1.0 support on cygwin broken
  * fix -shared flag not set on ruby 2.1.0

 -- Seiji Kaneko <efialtes@sourceforge.jp> Fri, 31 Jan 2014 00:05:38 +0900

skf (1.99.7) experimental; urgency=low

  * ruby 2.1.0 support
  * fix bug in MIME encoding under early_mime_out mode
  * further nkf-compatibility
  * trim some terminal sequence sweep behaviors
  * UnicodeData undated to 6.3
  * fix nkf compatible option --cp932 behavior
  * fix some bugs

 -- Seiji Kaneko <efialtes@sourceforge.jp> Mon, 16 Dec 2013 23:47:55 +0900

skf (1.99.6) experimental; urgency=low

  * fix python configuration under cygwin environment
  * fix typo in ruby code

 -- Seiji Kaneko <efialtes@sourceforge.jp> Fri, 26 Jul 2013 20:15:33 +0900

skf (1.99.5) experimental; urgency=low

  * Fix x-0213 unicode mapping
  * further nkf-compatibility
  * fix utf-16 code detection is escaping too early.
  * support UTF-32 input

 -- Seiji Kaneko <efialtes@sourceforge.jp> Thu, 06 Jun 2013 19:15:33 +0900
