## skf 1.99.24

=== debian/changelog ===
skf (1.99.24) unstable; urgency=medium

  * [skf:39695] make localedir option effective
  * [skf:39836] support behaviour change in ruby2.7
  * fix: make oldincludedir/docdir option effective
  * fix: add support ruby2.8, python 3.9 to configure

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 14 Dec 2019 00:17:45 +0900

skf (1.99.23) unstable; urgency=medium

  * [security] fix punycode or uri as ic crashes
  * fix: rot char dropped due to wrong bound check.
  * added ruby2.6 and python3.8 to configure

 -- Seiji Kaneko <efialtes@osdn.jp>  Tue, 15 Oct 2019 00:31:37 +0900

skf (1.99.22) UNRELEASED; urgency=low

  * [skf:39111] fix: man directory setting through configure.
  * fix: -r with SJIS-in does not work.
  * fix: --set option with separate arguments error handling bug.
  * fix: out_codeset display in debug mode does not work
  * fix: rot char in be-in deleted from stream due to wrong bound check.

 -- Seiji Kaneko <efialtes@osdn.jp>  Fri, 28 Jun 2019 21:26:45 +0900

skf (1.99.21) unstable; urgency=low

  * fix: UTF-32 wo BOM is reported as UTF-16 in inquiry
  * new era ligature support.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 06 Apr 2019 15:27:48 +0900

skf (1.99.20) unstable; urgency=low

  * [skf:38570] do not treat ruby "8-bit binary" as codeset.
  * fix: man page
  * don't bite arguments after --
  * add -t option for nkf compatibility
  * undocumented nkf behavior support: -L0, -g[0-2]
  * re-enable -n option for nkf-compatibility
  * [security] hungup fixed if file open failed in in-place option.
  * [security] fix crash in in-place option.
  * fix codeset inquiry in in-place option.
  * tries to unlink temporal file when in-place rename failed.
  * fix fb-skip behavior.
  * retain input files when suffix is added in --in-place, overwrite

 -- Seiji Kaneko <efialtes@osdn.jp>  Mon, 17 Dec 2018 22:48:47 +0900

skf (1.99.19) unstable; urgency=low

  * fix: keis strout doesn't convert ascii strings to EBCDICs
  * fix: ebcdic force-lineend changed to NEL
  * fix: inquiry output code control. fixes to force ASCII
  * fix: B-right/V strout doesn't convert ascii strings to EBCDICs
  * fix: punycode with idn prohibit char causes character drop.
  * fix: similar bug in hz & zW EOF handling.
  * fix: similar bug in big5 handling.
  * fix: undefined kanji drop under nkf-compat mode
  * fix: disable MIME cp932 related cname.
  * [Security]: fix crash related space-convert.
  * fix: convert-html-uri output wrong result.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 02 Sep 2018 21:05:43 +0900

skf (1.99.18) unstable; urgency=low

  * fix: crash on --show-supported-charset in debug mode.
  * fix: set-lang doesn't work.
  * fix: cname containing '.' isn't recognized.
  * fix: rfc1554 iso-2022-jp-2-kr doesn't work.
  * fix: euc-jp-ms etc. get wrong codeset
  * fix: race code decoding fails
  * fix: crash on bright/v output with html-sanitize
  * fix: zW related bug, mingw related bug
  * fix: koi-8, cp1251 output doesn't work.
  * fix: backport dynamic loading enable-patch on msys.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 18 Feb 2018 00:56:44 +0900

skf (1.99.17) unstable; urgency=low

  * [security] unicode decomposition crash fixed.
  * --set-g* crashes if following string is not charset
  * fix: "--" option does not work
  * fix: skferr table report.
  * [security] fix crash in U+1f1xx conversion.
  * [security] fix sjis-oldntt crashes in private area
  * fix: nkf_no_hk couldn't reset from command line.
  * fix: some option doesn't work for racing.
  * fix: convert-html-uri does not work.
  * fix: latin2html output without encode redirection.
  * fix: halfwidth valiant mime width correction.
  * fix: cns11463 single shift2 fails.
  * fix: cannot return to iso-2022 from unicode.
  * fix: [skf:37767] configure portability fix.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 10 Dec 2017 00:21:39 +0900

skf (1.99.16) unstable; urgency=low

  * fix octal encoding output wrong code on tail.
  * fix to suppress MIME encoding on transparent mode
  * fix X-0213 reverse table
  * [nkf-compat] hankaku output condition incompatibility fixed.
  * added cp65001 as UTF-8 alias.
  * fix B-Right/V output
  * fix zW output

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 12 Nov 2017 20:39:42 +0900

skf (1.99.15) UNRELEASED; urgency=medium

  * fix: some duplicate option big assigns fixed.
  * suppress some codeset for MIME use
  * fix: iso-2022-jp-2-2004 doesn't show in MIME
  * hack: cp50221,50222 private area output supporessed

 -- Seiji Kaneko <efialtes@osdn.jp>  Tue, 26 Sept 2017 23:27:22 +0900

skf (1.99.14) UNRELEASED; urgency=medium

  * fix: nkf mime compatibility

 -- Seiji Kaneko <efialtes@osdn.jp>  Wed, 15 Feb 2017 20:49:21 +0900

skf (1.99.13) experimental; urgency=low

  * fix: backport fix of 2.00.6
  * fix: mapping of cp1253 fixed.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 10 Sep 2016 16:54:29 +0900

skf (1.99.12) experimental; urgency=low

  * fix: mingw need binmode in file I/O
  * fix: add reset to hard-inquiry
  * fix: add checks for malloc failure
  * fix: various LWL related bugs.
  * fix: debian control file dirs points an inproper location.
  * fix: name(suffix) of shared library in MINGW/CYGWIN environment.
  * fix: nkf-compatmode UTF-32 output does not work due to typo.
  * fix: MIME canonical name for UTF-16 is not correct.

 -- Seiji Kaneko <efialtes@osdn.jp> Wed, 23 Dec 2015 23:06:39 +0900

skf (1.99.11) experimental; urgency=low

  * fix winsami and iscii table definition.
  * change sourceforge.jp to osdn.jp

 -- Seiji Kaneko <efialtes@osdn.jp> Wed, 17 Jun 2015 23:44:49 +0900

skf (1.99.10) experimental; urgency=low

  * fix -X meant -x in skf-compatible mode
  * [Security] fix s_in crashes due to inproper G0 table handling
  * fix python detection on cygwin mode

 -- Seiji Kaneko <efialtes@osdn.jp> Wed, 19 Nov 2014 21:14:49 +0900

skf (1.99.9) experimental; urgency=low

  * fix nkf compatible mode applied on inappropriate situation
  * fix k_in setting is ignored

