=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: skf
 Section: text
 Priority: extra
-Maintainer: Seiji Kaneko <efialtes@sourceforge.jp>
+Maintainer: Seiji Kaneko <efialtes@osdn.jp>
 Standards-Version: 3.9.1
 Build-Depends: gettext, debhelper(>=5.0), bison, perl
