=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # $Id: $
 
 package=skf
+export DH_COMPAT=5
 
 build:
 	./configure --prefix=/usr --mandir=/usr/share/man --disable-strip
