## skf 2.00.4

=== debian/changelog ===
skf (2.00.4) unstable; urgency=medium

  * fix: binmode call type order fix.
  * fix: disable dynamic loading on MSYS
  * fix: wrong name for UTF-32 wo BOM

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 07 Feb 2016 23:17:25 +0900

skf (2.00.3) unstable; urgency=medium

  * fix: further lwl initialization bug fixed.
  * fix: nkf-compatmode UTF-32 output does not work due to typo.
  * fix: UTF-16/32 MIME canonical name is not correct.
  * fix: ruby2.3 support
  * fix: binmode call type mismatch.

 -- Seiji Kaneko <efialtes@osdn.jp>  Thu, 28 Jan 2016 22:13:56 +0900
 

skf (2.00.2) unstable; urgency=medium

  * mingw need binmode for io
  * python2 plugin and emoticon generation lacked allocation check
  * added README_j.txt
  * fixed lwl option input is not properly passed. mime output fixed.
  * debian packaging bug fixed.

 -- Seiji Kaneko <efialtes@osdn.jp>  Wed, 02 Dec 2015 22:13:56 +0900
 

skf (2.00.1) unstable; urgency=low

  * fix winsami and iscii code tables
  * delete python3-specific command from man page
  * further changes sourceforge.jp to osdn.jp

 -- Seiji Kaneko <efialtes@osdn.jp>  Wed, 17 Jun 2015 23:55:31 +0900

skf (2.00) unstable; urgency=low

  * fix debian-build fails due to typos
  * fix extension build fails because of file handling error
  * fix a case some rpm doesn't accept -bs option
  * fix crashes if msgfmt doesn't exist
  * fix osdn.jp to osdn.jp
  * fix locale message on error

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 25 May 2015 22:55:31 +0900

skf (2.00b2) UNRELEASED; urgency=low

  * fixed python2/3 support.
  * added --nkf-help option
  * fixed skf doesn't compile under MinGW, NetBSD and OS X 10.10
  * tuned code detection logic.

 -- Seiji Kaneko <efialtes@osdn.jp>  Wed, 25 Mar 2015 17:30:37 +0900

skf (2.00b1) UNRELEASED; urgency=low

  * Added NYUKAN-GAIJI output support
  * option refactoring, some default values changed
  * Support Unicode 7.0.0 block areas.
  * gcc 4.9.0 accidental change nullified.
  * skf 1.99.9 bug fix ported.
  * more nkf-compatibility fixes

 -- Seiji Kaneko <efialtes@osdn.jp>  Mon, 12 Jan 2015 17:30:37 +0900
