=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: text
 Priority: extra
 Maintainer: Seiji Kaneko <efialtes@osdn.jp>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Build-Depends: gettext, debhelper(>=5.0), bison, perl
+Homepage: http://osdn.jp/project/skf
 
 Package: skf
 Architecture: any
