=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,14 @@
 package=skf
 export DH_COMPAT=5
 
-build:
+build: build-arch build-indep
+
+build-arch:
 	./configure --prefix=/usr --mandir=/usr/share/man --disable-strip
 	$(MAKE) DESTDIR=/usr
 	touch build
+
+build-indep:
 
 clean:
 	dh_testdir
