## skf 2.00.17

=== debian/changelog ===
skf (2.00.17) unstable; urgency=medium

  * [skf:39695] make localedir option effective
  * [skf:39836] support behaviour change in ruby2.7
  * fix: make oldincludedir/docdir option effective
  * fix: add support ruby2.8, python 3.9 to configure

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 14 Dec 2019 00:17:45 +0900

skf (2.00.16) unstable; urgency=low

  * [security] fix punycode or uri as ic crash
  * fix: koi-8-u setting failure.
  * fix: rot char dropped due to wrong bound check.

 -- Seiji Kaneko <efialtes@osdn.jp>  Tue, 15 Oct 2019 00:27:34 +0900

skf (2.00.15) unstable; urgency=low

  * [skf:39111] fix: man directory setting through configure.
  * added a guard for vni parsing.
  * fix: -r with SJIS-in does not work.
  * fix: --set option with separate arguments error handling bug.
  * fix: out_codeset display in debug mode does not work
  * fix: rot char in be-in deleted from stream due to wrong bound check.

 -- Seiji Kaneko <efialtes@osdn.jp>  Fri, 28 Jun 2019 23:02:59 +0900

skf (2.00.14) unstable; urgency=low

  * fix: UTF-32 wo BOM is reported as UTF-16 in inquiry
  * New japanese era ligature support.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 06 Apr 2019 15:22:01 +0900

skf (2.00.13) unstable; urgency=medium

  * [skf:38570] do not treat ruby "8-bit binary" as codeset.
  * fix: man page
  * don't bite arguments after --
  * add -t option for nkf compatibility
  * undocumented nkf behavior support: -L0, -g[0-2]
  * re-enable -n option for nkf-compatibility
  * [security] hungup fixed if file open failed in in-place option.
  * [security] fix crash in in-place option.
  * fix codeset inquiry in in-place option.
  * tries to unlink temporal file when in-place rename failed.
  * fix fb-skip behavior.
  * retain input files when suffix is added in --in-place, overwrite

 -- Seiji Kaneko <efialtes@osdn.jp>  Tue, 11 Dec 2018 22:14:35 +0900

skf (2.00.12) unstable; urgency=low

  * fix: keis strout doesn't convert ascii strings to EBCDICs
  * fix: ebcdic force-lineend changed to NEL
  * fix: inquiry output code control. fixes to ASCII
  * fix: sup_space_conv setting condition.
  * fix: B-right/V strout doesn't convert ascii strings to EBCDICs
  * fix: punycode with idn prohibit char causes character drop.
  * fix: fix similar bug in hz & zW EOF handling
  * fix: undefined kanji drop under nkf-compat mode
  * fix: disable MIME cp932 related cname.
  * [Security]: fix crash related space-convert.
  * fix: convert-html-uri output wrong result.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 02 Sep 2018 18:11:09 +0900

skf (2.00.11) unstable; urgency=low

  * fix: crash on --show-supported-charset in debug mode.
  * fix: locale output doesn't use nl_langinfo result
  * fix: set-lang doesn't work.
  * fix: cname containing '.' isn't recognized.
  * fix: rfc1554 iso-2022-jp-2-kr doesn't work.
  * fix: ka + handakuten outputs garbage.
  * fix: euc-jp-ms etc. get wrong codeset
  * fix: race code decoding fails
  * fix: crash on bright/v output with html-sanitize
  * fix: JIS X-0221(iso 10646) calling sequence error.
  * fix: JIS X-0211 pass through state change.
  * fix: MIK table bug fixed.
  * fix: koi-8, cp1251, koi-8u output doesn't work.
  * fix: backport dynamic loading enable patch on msys.

 -- Seiji Kaneko <efialtes@osdn.jp> Sun, 18 Feb 2018 00:52:24 +0900

skf (2.00.10) unstable; urgency=low

  * fix --nkf-help typo.
  * [security] unicode decomposition crash fixed
  * [security] locale output crash fixed.
  * added 932/943 as aliases for cp932/cp943 (msys related fix)
  * --set-g* crashes if following string is not charset
  * Fix: "--" option does not work
  * [security] fix crash in U+1f1xx conversion.
  * fix: delete iso-2022-jp-ms wrong definition (not security issue.)
  * fix: skferr table report.
  * fix: HZ, zW GL changed to ASCII.
  * [security] fix sjis-oldntt crashes in private area
  * fix: nkf_no_hk couldn't reset from command line.
  * fix: some option doesn't work for racing.
  * fix: convert-html-uri does not work.
  * fix: latin2html output goes without encode redirection.
  * fix: some man page gliches.
  * fix: halfwidth mime character count correction.
  * fix: cns11463 single shift2 fails.
  * fix: cannot return iso-2022 from unicode.
  * fix: [skf:37767] configure portability fix.

 -- Seiji Kaneko <efialtes@osdn.jp>  Mon, 11 Dec 2017 00:24:50 +0900

skf (2.00.9) unstable; urgency=low

  * fix octal encoding output wrong code on tail.
  * fix to suppress MIME encoding on transparent mode
  * fix X-0213 reverse table
  * [nkf-compat] hankaku output condition incompatibility fixed.
  * added cp65001 as UTF-8 alias
  * fix B-Right/V output
  * fix zW output.

 -- Seiji Kaneko <efialtes@osdn.jp> Sun, 12 Nov 2017 20:45:32 +0900

skf (2.00.8) unstable; urgency=low

  * fix: some duplicate option bit assigns fixed.
  * suppress some codeset for MIME use
  * fix: iso-2022-jp-2-2004 doesn't show in MIME
  * hack: cp50221,50222 private area output supporessed

 -- Seiji Kaneko <efialtes@osdn.jp>  Tue, 26 Sept 2017 23:27:22 +0900

skf (2.00.7) unstable; urgency=low

  * fix: cp1253 table.
  * fix: some inquiry result bugs fixed.
  * fix: override and fixed lintian warning.
  * fix: python version retrive fails if minor version has >2 digits.
  * added support for ruby2.4
  * fix: copyright notation.
  * fix: nkf mime compatibility
  * fix: nkf nametest does not work with binary with extension.

 -- Seiji Kaneko <efialtes@osdn.jp> Fri, 10 Mar 2017 21:53:52 +0900

skf (2.00.6) unstable; urgency=medium

  * fix: utf-8 detect condition
  * fix: some inquiry result bugs fixed.

 -- Seiji Kaneko <efialtes@osdn.jp>  Wed, 27 Jul 2016 00:09:49 +0900

skf (2.00.5) unstable; urgency=medium

  * fix: utf canonical name for nkf-help
  * fix: hung-up when read fails with EAGAIN
  * fix: do not show canonical name for overlay table.
  * fix: nkf -Q option does not work as nkf.
  * fix: U-fffe,U-ffff block added.
  * fix: some option name wrongly have "conv", not convert.

