=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: extra
 Maintainer: Seiji Kaneko <efialtes@osdn.jp>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Build-Depends: gettext, debhelper(>=5.0), bison, perl
 Homepage: http://osdn.jp/project/skf
