## skf 2.10.15

=== debian/changelog ===
skf (2.10.15) unstable; urgency=low

  * [skf:41024] fix double free on ruby extension.
  * fix: man page formatting.
  * fix: unnecessary directory creation during install
  * Change Unicode Data to 15.0.0
  * [skf:46032] fix -q option bug.
  * remove CHANGES_ja.txt. 

 -- seiji Kaneko <efialtes@osdn.jp>  Wed, 16 Nov 2022 00:10:21 +0900

skf (2.10.14) unstable; urgency=low

  * [skf:39882] process surrogate pairs if python LWL input is 2BYTE_KIND.
  * Detect surrogate pair in 2BYTE_KIND mode, and switch to 4BYTE_KIND.
  * assumes MIME output/UTF-7 is ascii, not target codeset.
  * native UTF-16/32 endianness follows machine endianness.
  * fix codeset trailing spaces handling bug.
  * trial code for apple silicon macs.

 -- seiji Kaneko <efialtes@osdn.jp>  Sat, 21 Nov 2020 19:25:45 +0900

skf (2.10.13) unstable; urgency=low

  * [skf:39882] python unicode pep393 support
  * add _DEFAULT_SOURCE to make compiler warning suppressed.
  * fix resetting debug mode on LWL call.
  * fix py-out-binary does not work.
  * delete lineend from charset name string in LWL extension.
  * fix perl/ruby/python sitearchdir does not return a correct path.
  * fix utf32beb/leb isn't treated as Unic*de.
  * change Unicode Data to 13.0.0

 -- seiji Kaneko <efialtes@osdn.jp>  Tue, 17 Nov 2020 14:53:27 +0900

skf (2.10.12) unstable; urgency=medium

  * [skf:39695] make localedir option effective
  * [skf:39836] support behaviour change in ruby2.7
  * fix: udhdata allocate error handling
  * fix: make oldincludedir/docdir option effective
  * fix: add support ruby2.8, python 3.9 to configure
  * fix: use python-config for python 2.7
  * change unicode data to 12.1.0
  * some cosmetic bug fixed.

 -- seiji Kaneko <efialtes@osdn.jp>  Tue, 31 Dec 2019 21:49:32 +0900

skf (2.10.11) unstable; urgency=medium

  * [security] fix punycode or uri as ic crashes
  * fix: inconsistent nkf-help message after 2.10.8 fix
  * fix: compile fails if ARIB_SUPPORT is disabled
  * fix: re-enabled --enable-python2 option in configure
  * fix: some rot characters not properly decoded.
  * fix: some typo and misc. bugs.
  * added python 3.8 to configure
  * added CESU-8, UTF7-IMAP and MUTF8 to man page.

 -- Seiji Kaneko <efialtes@osdn.jp>  Mon, 14 Oct 2019 23:54:51 +0900

skf (2.10.10) unstable; urgency=medium

  * [skf:39111] fix: man directory setting through configure.
  * add configuration display for INPLACESTAR
  * [security] fix hungup in GSM udh detection routine.
  * fix: CRLF in utf-16le detection failure
  * fix: CRLF in utf-32le/32be detection failure
  * added a guard for vni parsing.
  * fix: -r with SJIS-in does not work.
  * fix: --set option with separate arguments error handling bug.
  * fix: --preferred-subst-char does not work
  * fix: out_codeset display in debug mode does not work
  * fix: rot char in be-in deleted from stream due to wrong bound check.
  * fix: GSM UDH detect return range inconsistent.
  * add cesu-8 and java modified utf8 for codeset.
  * make python3 as default.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 29 Jun 2019 22:07:03 +0900

skf (2.10.9) unstable; urgency=low

  * [skf:38830] _POSIX_SOURCE definition hides mkstemp.
  * fix: no-utf7 and detect-x0201-kana is turnovered.
  * fix: typos in codeset detection.
  * fix: 0x0 results UTF-16BE without checking other posibilities.
  * fix: SGML comment is not properly detected in code detection logic.
  * [skf:38933] --in-place, overwrite nkf compatibilities.
  * fix: SUFFIX handling is added to man page.
  * fix: --detect-x0201-kana does not work
  * fix: various codeset detection fix.
  * fix: fails if --in-place etc. suffix includes dir-separator.
  * fix: normally suppress * in in-place. Suppress directory traversal
    in in-place process.
  * added new japanese era support.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 06 Apr 2019 22:07:03 +0900

skf (2.10.8.2) UNRELEASED; urgency=medium

  * Fix: lwl compile error [skf:38817]
  * Fix: ruby 2.6.0 extension compile error

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 30 Dec 2018 23:29:51 +0900

skf (2.10.8.1) UNRELEASED; urgency=medium

  * remove debug output
  * fb-html changes to decimal from hex.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sat, 22 Dec 2018 00:07:51 +0900

skf (2.10.8) unstable; urgency=medium

  * [skf:38570] do not treat ruby "8-bit binary" as codeset.
  * don't bite arguments after --
  * add -t option for nkf compatibility
  * undocumented nkf behavior support: suffix=*, -t2, -L0, -g[0-2]
  * re-enable -n option for nkf-compatibility
  * kicks pre-undefined characters in -i, -o option for
    nkf-compatibility
  * [security] hungup fixed if file open failed in in-place option.
  * [security] fix crash in in-place option.
  * fix codeset inquiry in in-place option.
  * tries to unlink temporal file when in-place rename failed.
  * added -fb-java, fb-perl, fb-skip support for nkf compatibility.
  * added -fb-python.
  * retain input files when suffix is added in --in-place, overwrite

 -- Seiji Kaneko <efialtes@osdn.jp>  Mon, 17 Dec 2018 21:21:09 +0900

skf (2.10.7) unstable; urgency=low

  * fix: keis strout doesn't convert ascii strings to EBCDICs.
  * fix: ebcdic force-lineend changed to NEL.
  * fix: inquiry output code control. fixes to "LOCALE" with
    default to utf-8.
  * UTF-7-IMAP conversion input/output added.
  * python 3.6, 3.7 support.
  * Update Unicodedata to Unicode 11.0.
  * fix: sup_space_conv setting condition.
  * fix: B-right/V strout doesn't convert ascii strings. 
  * fix: punycode with idn prohibit char causes character drop.
  * fix: similar bug in hz & zW EOF handling.
  * misc. code cleanups.
  * fix: nkf compatible mode generates incompatible MIME cnames.
  * [Security]: fix crash related space-convert.
  * fix: convert-html-uri output wrong result.

 -- Seiji Kaneko <efialtes@osdn.jp>  Sun, 02 Sep 2018 20:36:25 +0900

skf (2.10.6) unstable; urgency=low

  * fix: crash on --show-supported-charset in debug mode.

