## skf 2.10.16

=== debian/changelog ===
skf (2.10.16) unstable; urgency=low

  * add option mnemonic to --help option name table. Changes some mnemonics.
  * [skf:46419] adapt to eliminate deleted API (PEP623)

 -- seiji Kaneko <efialtes@osdn.jp>  Mon, 23 Jan 2023 23:17:56 +0900
