=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,13 @@
 # $Id: $
 
 package=skf
-export DH_COMPAT=5
 
 build: build-arch build-indep
 
-build-arch:
+build-arch: 
 	./configure --prefix=/usr --mandir=/usr/share/man --disable-strip
 	$(MAKE) DESTDIR=/usr
 	touch build
-
-build-indep:
 
 clean:
 	dh_testdir
@@ -26,6 +23,8 @@
 	-rm -rf debian/*.log
 
 binary-indep: checkroot build
+
+build-indep: 
 
 binary-arch: checkroot build
 	dh_clean
